Subject: Re: [PATCH] bridge: add rcu_read_lock

From: Stephen Hemminger <[email-masked]>
Date: Wed, 28 Jul 2010 11:01:58 -0700

On Wed, 28 Jul 2010 10:52:09 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 28 Jul 2010 09:57:30 -0700
> 
> > Long ago, when bridge was converted to RCU, rcu lock was equivalent
> > to having preempt disabled. RCU has changed a lot since then and
> > bridge code was still assuming the since transmit was called with
> > bottom half disabled, it was RCU safe.
> > 
> > In addition to fixing the code, update the comments about
> > locking to match current state as well.
> > 
> > Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> As I stated in another email I added the original commit.
> 
> This version still didn't apply to net-2.6 and also you failed
> to add a tested-by tag for Johannes to the commit message, which
> I also did alongside backporting the original patch to net-2.6

I didn't see yours, if you look at the date it was ships in the night.

--